> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink a shared dataset from this project

> Unlink the dataset with the specified Id from a project. Required permissions: `ManageDatasetsRw,UseFileStorage`



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml delete /api/projects/v1/projects/{projectId}/shared-datasets/{datasetId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/projects/v1/projects/{projectId}/shared-datasets/{datasetId}:
    delete:
      tags:
        - ProjectSharedDatasets
      summary: Unlink a shared dataset from this project
      description: >-
        Unlink the dataset with the specified Id from a project. Required
        permissions: `ManageDatasetsRw,UseFileStorage`
      operationId: unlinkDatasetFromProject
      parameters:
        - description: Id of project
          in: path
          name: projectId
          required: true
          schema:
            type: string
        - description: Id of shared dataset to remove
          in: path
          name: datasetId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteEnvelopeV1'
          description: Success
components:
  schemas:
    DeleteEnvelopeV1:
      properties:
        metadata:
          $ref: '#/components/schemas/MetadataV1'
        success:
          type: boolean
      required:
        - success
        - metadata
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````